> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Panoyu getir

> Belirli bir panoyu kimliğine göre getirir:

**Parametreler**:
- `id`: Panonun benzersiz kimliği
- `password`: Parola korumalı genel panolar için opsiyonel parola

**Erişim Kontrolü**:
- Genel panolar: Kimlik doğrulaması gerekmez
- Özel panolar: Organizasyon üyesi olmanız gerekir
- Parola korumalı panolar: Doğru parolayı iletmeniz gerekir

Yanıt; ad, açıklama, görünürlük ayarları, filtreler ve meta veriler dahil tüm pano bilgilerini döndürür.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /dashboards/{id}
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /dashboards/{id}:
    get:
      tags:
        - Dashboard
      summary: Panoyu getir
      description: >-
        Belirli bir panoyu kimliğine göre getirir:


        **Parametreler**:

        - `id`: Panonun benzersiz kimliği

        - `password`: Parola korumalı genel panolar için opsiyonel parola


        **Erişim Kontrolü**:

        - Genel panolar: Kimlik doğrulaması gerekmez

        - Özel panolar: Organizasyon üyesi olmanız gerekir

        - Parola korumalı panolar: Doğru parolayı iletmeniz gerekir


        Yanıt; ad, açıklama, görünürlük ayarları, filtreler ve meta veriler
        dahil tüm pano bilgilerini döndürür.
      operationId: getDashboard
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
        - in: query
          name: password
          schema:
            type: string
        - in: query
          name: email
          schema:
            type: string
            format: email
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  organizationId:
                    type: string
                  isPublic:
                    type: boolean
                  publicCanFilterSites:
                    type: boolean
                  hasPassword:
                    type: boolean
                  requiresEmail:
                    type: boolean
                  publicAccessEmails:
                    type: array
                    nullable: true
                    items:
                      type: string
                      format: email
                  publicAccessDomains:
                    type: array
                    nullable: true
                    items:
                      type: string
                      pattern: ^(?!-)(?:[a-z0-9-]{1,63}\.)+[a-z]{2,63}$
                  order:
                    type: number
                  globalFilter:
                    type: object
                    properties:
                      siteIds:
                        type: array
                        items:
                          type: string
                      startYear:
                        type: number
                      endYear:
                        type: number
                      startDate:
                        type: string
                      endDate:
                        type: string
                      statuses:
                        type: array
                        items:
                          type: string
                          enum:
                            - COMPLETED
                            - APPROVED
                            - REJECTED
                  organizationDefaultStatuses:
                    type: array
                    items:
                      type: string
                      enum:
                        - COMPLETED
                        - APPROVED
                        - REJECTED
                  widgetTheme:
                    type: object
                    properties:
                      mode:
                        type: string
                        enum:
                          - default
                          - oasis
                          - custom
                      customColors:
                        type: array
                        items:
                          type: string
                          pattern: ^#[0-9A-Fa-f]{6}$
                      aggregateLines:
                        type: object
                        properties:
                          totalColor:
                            type: string
                            pattern: ^#[0-9A-Fa-f]{6}$
                          averageColor:
                            type: string
                            pattern: ^#[0-9A-Fa-f]{6}$
                          peerAverageColor:
                            type: string
                            pattern: ^#[0-9A-Fa-f]{6}$
                          totalLineStyle:
                            type: string
                            enum:
                              - solid
                              - dashed
                              - dotted
                          averageLineStyle:
                            type: string
                            enum:
                              - solid
                              - dashed
                              - dotted
                          peerAverageLineStyle:
                            type: string
                            enum:
                              - solid
                              - dashed
                              - dotted
                          totalStrokeWidth:
                            type: number
                            minimum: 1
                            maximum: 8
                          averageStrokeWidth:
                            type: number
                            minimum: 1
                            maximum: 8
                          peerAverageStrokeWidth:
                            type: number
                            minimum: 1
                            maximum: 8
                    required:
                      - mode
                  tags:
                    type: array
                    nullable: true
                    items:
                      type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - name
                  - description
                  - organizationId
                  - isPublic
                  - publicCanFilterSites
                  - order
                  - globalFilter
                  - createdAt
                  - updatedAt
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````